Resource

Incident Episode Public Note

Manage public notes for your incident episode

The Incident Episode Public Note Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    incidentEpisode
    Type
    Incident Episode
    Description

    Relation to Incident Episode in which this resource belongs

  • Name
    incidentEpisodeId
    Type
    Object IDRequired
    Description

    Relation to Incident Episode ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    note
    Type
    Markdown
    Description

    Notes in markdown

  • Name
    attachments
    Type
    File
    Description

    Files attached to this note

  • Name
    subscriberNotificationStatusMessage
    Type
    Very Long Text
    Description

    Status message for subscriber notifications - includes success messages, failure reasons, or skip reasons

  • Name
    shouldStatusPageSubscribersBeNotifiedOnNoteCreated
    Type
    Boolean
    Description

    Should subscribers be notified about this note?

  • Name
    postedAt
    Type
    Date
    Description

    Date and time when the note was posted

  • Name
    postedFromSlackMessageId
    Type
    Long Text
    Description

    Unique identifier for the Slack message this note was created from (channel_id:message_ts). Used to prevent duplicate notes when multiple users react to the same message.

GETorPOST/api/incident-episode-public-note/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Episode Public Note. By default, a maximum of ten Incident Episode Public Note are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-episode-public-note/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentEpisodeId": true,
    "projectId": true,
    "createdByUserId": true,
    "note": true,
    "postedFromSlackMessageId": true
  },
  "query": {
    "postedFromSlackMessageId": "C1234567890:1234567890.123456"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376fe400-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "7c8d9e0f-a1b2-3c4d-9e5f-8a9b0c1d2e3f",
      "note": "## Update - Episode Resolved\n\nWe have identified and resolved the issue. All services are now operating normally.",
      "postedFromSlackMessageId": "C1234567890:1234567890.123456"
    },
    {
      "_id": "376fe401-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "7c8d9e0f-a1b2-3c4d-9e5f-8a9b0c1d2e3f",
      "note": "## Update - Episode Resolved\n\nWe have identified and resolved the issue. All services are now operating normally.",
      "postedFromSlackMessageId": "C1234567890:1234567890.123456"
    },
    {
      "_id": "376fe402-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "7c8d9e0f-a1b2-3c4d-9e5f-8a9b0c1d2e3f",
      "note": "## Update - Episode Resolved\n\nWe have identified and resolved the issue. All services are now operating normally.",
      "postedFromSlackMessageId": "C1234567890:1234567890.123456"
    }
  ]
}
GETorPOST/api/incident-episode-public-note/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Episode Public Note by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-episode-public-note/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentEpisodeId": true,
    "projectId": true,
    "createdByUserId": true,
    "note": true,
    "postedFromSlackMessageId": true
  }
}

Response

{
  "_id": "376fe400-28fe-11f1-b591-3fdcef396aba",
  "incidentEpisodeId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "7c8d9e0f-a1b2-3c4d-9e5f-8a9b0c1d2e3f",
  "note": "## Update - Episode Resolved\n\nWe have identified and resolved the issue. All services are now operating normally.",
  "postedFromSlackMessageId": "C1234567890:1234567890.123456"
}
POST/api/incident-episode-public-note/count

Count

This endpoint allows you to retrieve the count of all your Incident Episode Public Note.

Optional Request Body

Count Request

POST
/api/incident-episode-public-note/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "postedFromSlackMessageId": "C1234567890:1234567890.123456"
  }
}

Response

{
  "count": 107
}
POST/api/incident-episode-public-note

Create Incident Episode Public Note

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-episode-public-note
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incidentEpisodeId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUserId": "7c8d9e0f-a1b2-3c4d-9e5f-8a9b0c1d2e3f",
    "note": "## Update - Episode Resolved\n\nWe have identified and resolved the issue. All services are now operating normally.",
    "postedFromSlackMessageId": "C1234567890:1234567890.123456"
  }
}

Response

{
  "_id": "376fe400-28fe-11f1-b591-3fdcef396aba",
  "incidentEpisodeId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "7c8d9e0f-a1b2-3c4d-9e5f-8a9b0c1d2e3f",
  "note": "## Update - Episode Resolved\n\nWe have identified and resolved the issue. All services are now operating normally.",
  "postedFromSlackMessageId": "C1234567890:1234567890.123456"
}
PUT/api/incident-episode-public-note/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-public-note/:id/update-item
GET/api/incident-episode-public-note/:id/update-item

Update Request

PUT
/api/incident-episode-public-note/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "note": "## Update - Episode Resolved\n\nWe have identified and resolved the issue. All services are now operating normally.",
    "subscriberNotificationStatusMessage": "Successfully notified 1,234 subscribers via email and SMS",
    "attachments": []
  }
}

Response

{}
DELETE/api/incident-episode-public-note/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-public-note/:id/delete-item
GET/api/incident-episode-public-note/:id/delete-item

Delete Request

DELETE
/api/incident-episode-public-note/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Episode Public Note

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Episode Public Note
  • Read All Project Resources

Create Permissions

Required to create Incident Episode Public Note

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Episode Public Note

Update Permissions

Required to update Incident Episode Public Note

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident Episode Public Note

Delete Permissions

Required to delete Incident Episode Public Note

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident Episode Public Note